[arch-commits] CVS update of arch/build/base/dialog (PKGBUILD timeout.patch)

andyrtr at archlinux.org andyrtr at archlinux.org
Tue May 29 20:13:55 UTC 2007


    Date: Tuesday, May 29, 2007 @ 16:13:55
  Author: andyrtr
    Path: /home/cvs-arch/arch/build/base/dialog

   Added: timeout.patch (1.1)
Modified: PKGBUILD (1.21 -> 1.22)

fixed #7302


---------------+
 PKGBUILD      |   11 +++++++----
 timeout.patch |   11 +++++++++++
 2 files changed, 18 insertions(+), 4 deletions(-)


Index: arch/build/base/dialog/PKGBUILD
diff -u arch/build/base/dialog/PKGBUILD:1.21 arch/build/base/dialog/PKGBUILD:1.22
--- arch/build/base/dialog/PKGBUILD:1.21	Sun May 27 05:24:01 2007
+++ arch/build/base/dialog/PKGBUILD	Tue May 29 16:13:54 2007
@@ -1,19 +1,22 @@
-# $Id: PKGBUILD,v 1.21 2007/05/27 09:24:01 andyrtr Exp $
+# $Id: PKGBUILD,v 1.22 2007/05/29 20:13:54 andyrtr Exp $
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=dialog
 pkgver=1.1_20070514
 _pkgver=1.1-20070514
-pkgrel=1
+pkgrel=2
 pkgdesc="A tool to display dialog boxes from shell scripts"
 arch=(i686 x86_64)
 license=('GPL')
 depends=('ncurses')
 url="http://hightek.org/dialog/"
-source=(ftp://ftp.debian.org/debian/pool/main/d/${pkgname}/${pkgname}_$_pkgver.orig.tar.gz)
-md5sums=('1a5dd79088ac3ba3047b48e7efaea8d1')
+source=(ftp://ftp.debian.org/debian/pool/main/d/${pkgname}/${pkgname}_$_pkgver.orig.tar.gz
+	timeout.patch)
+md5sums=('1a5dd79088ac3ba3047b48e7efaea8d1'
+         '4d8bd549d3d59365640fe5b0c54bfc09')
 
 build() {
   cd $startdir/src/$pkgname-$_pkgver
+  patch -Np1 -i ../timeout.patch || return 1
   ./configure --prefix=/usr --disable-Xdialog
   make || return 1
   make DESTDIR=$startdir/pkg install
Index: arch/build/base/dialog/timeout.patch
diff -u /dev/null arch/build/base/dialog/timeout.patch:1.1
--- /dev/null	Tue May 29 16:13:54 2007
+++ arch/build/base/dialog/timeout.patch	Tue May 29 16:13:54 2007
@@ -0,0 +1,11 @@
+--- dialog-1.1-20070514/ui_getc.c	2007-05-15 00:24:00.000000000 +0200
++++ dialog-1.1-20070514_fixed/ui_getc.c	2007-05-29 20:20:27.000000000 +0200
+@@ -252,6 +252,8 @@
+ 	ch = wgetch(win);
+ 	/* if error from resizing, wait and try again */
+ 	if (ch == ERR) {
++	    current = time((time_t *) 0);
++	    if (interval > 0 && current >= expired) dlg_exiterr("timeout");
+ 	    napms(50);
+ 	    continue;
+ 	}




More information about the arch-commits mailing list